import { resolveFiles } from '@markuplint/file-resolver';
import { MLEngine } from './ml-engine.js';
export async function lint(targetList, options) {
    const res = [];
    const files = await resolveFiles(targetList);
    for (const file of files) {
        const engine = new MLEngine(file, options);
        const result = await engine.exec();
        if (!result) {
            continue;
        }
        res.push(result);
    }
    return res;
}
