import type { ReadonlyDeep } from 'type-fest';
export declare const help = "\nUsage\n\t$ markuplint <HTML file paths (glob format)>\n\t$ <stdout> | markuplint\n\nOptions\n\t--config,                -c FILE_PATH  A configuration file path.\n\t--fix,                                 Fix HTML.\n\t--format,                -f FORMAT     Output format. Support \"JSON\", \"Simple\", \"GitHub\" and \"Standard\". Default: \"Standard\".\n\t--no-search-config                     No search a configure file automatically.\n\t--ignore-ext                           Evaluate files that are received even though the type of extension.\n\t--no-import-preset-rules               No import preset rules.\n\t--locale                               Locale of the message of violation. Default is an OS setting.\n\t--no-color,                            Output no color.\n\t--problem-only,          -p            Output only problems, without passeds.\n\t--allow-warnings                       Return status code 0 even if there are warnings.\n\t--allow-empty-input                    Return status code 1 even if there are no input files.\n\t--verbose                              Output with detailed information.\n\t--include-node-modules                 Include files in node_modules directory. Default: false.\n\n\t--init                                 Initialize settings interactively.\n\t--search                               Search lines of codes that include the target element by selectors.\n\n\t--help,                  -h            Show help.\n\t--version,               -v            Show version.\n\nExamples\n\t$ markuplint verifyee.html --config path/to/.markuplintrc\n\t$ cat verifyee.html | markuplint\n";
export declare const cli: import("meow").Result<{
    config: {
        type: "string";
        shortFlag: string;
    };
    fix: {
        type: "boolean";
        default: false;
    };
    format: {
        type: "string";
        shortFlag: string;
    };
    searchConfig: {
        type: "boolean";
        default: true;
    };
    ignoreExt: {
        type: "boolean";
        default: false;
    };
    importPresetRules: {
        type: "boolean";
        default: true;
    };
    locale: {
        type: "string";
    };
    color: {
        type: "boolean";
        default: true;
    };
    problemOnly: {
        type: "boolean";
        shortFlag: string;
        default: false;
    };
    allowWarnings: {
        type: "boolean";
        default: false;
    };
    allowEmptyInput: {
        type: "boolean";
        default: true;
    };
    verbose: {
        type: "boolean";
        default: false;
    };
    init: {
        type: "boolean";
        default: false;
    };
    createRule: {
        type: "boolean";
        default: false;
    };
    search: {
        type: "string";
    };
    includeNodeModules: {
        type: "boolean";
        default: false;
    };
}>;
export type CLIOptions = ReadonlyDeep<typeof cli.flags>;
