import { messageToString } from '@markuplint/cli-utils';
export function githubReporter(results) {
    const out = [];
    for (const violation of results.violations) {
        const command = severityToCommand(violation.severity);
        const meg = messageToString(violation.message, violation.reason);
        out.push(`::${command} file=${results.filePath},line=${violation.line},col=${violation.col}::${meg} (${violation.ruleId})`);
    }
    return out;
}
function severityToCommand(severity) {
    switch (severity) {
        case 'info': {
            return 'notice';
        }
        case 'error':
        case 'warning': {
            return severity;
        }
    }
}
